# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499279

Name:           xfce4-cellmodem-plugin
Version:        0.0.5
Release:        3%{?dist}
Summary:        Cell Modem monitor plugin for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
# From Debian: fix a typo in Makefile.am that breaks linking
Patch0:         01_typo-linking.patch
# From Debian: fix underlinking
Patch1:         02_explicit-linking-to-libxfcegui4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.22, libxfcegui4-devel >= 4.4.0
BuildRequires:  libusb-devel
BuildRequires:  gettext, intltool, libtool, xfce4-dev-tools
Requires:       xfce4-panel >= 4.4.0
 
%description
The cellmodem plugin is a monitoring plugin for cellular modems. It reports 
provider and signal quality for GPRS/UMTS(3G)/HSDPA(3.5G) modem cards. It 
works with (mostly) all cards which support an out-of-band channel for 
monitoring purposes. Current features include:
* Display the current network type (GPRS/UMTS)
* Display the current signal level
* Configure the maximum signal level
* Configure the low and critical signal level
* Asking for PIN if modem needs it
* Quick visual feedback on modem and registration status via LEDs


%prep
%setup -q
%patch0 -p1 -b .typo
%patch1 -p1 -b .underlink


%build
# Xfce has its own autotools-running-script thingy, if you use autoreconf
# it'll fall apart horribly
xdt-autogen

%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Fri Jan 14 2011 Adam Williamson <awilliam@redhat.com> - 0.0.5-3
- 01_typo-linking.patch: fix a typo (from Debian)
- 02_explicit-linking-to-libxfcegui4.patch: fix linking (from Debian)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.5-1
- Initial Fedora package
